Jump to content

Recommended Posts

40 минут назад, aerohost сказал:

Я изменил файл  pltools.cuix.cfg, который лежит C:\Users\msipc\AppData\Roaming\Nanosoft\nanoCAD x64 21.0\Config с  BitmapDll=sd:\Program Files\Nanosoft\Pltools\BMP\ХХХ  на BitmapDll=sc:\Program Files\Nanosoft\Pltools\BMP\ХХХ , но почему не работает. все правильно сделал ? 


Ну да.
Только, насколько я заметил на GIF, путь не c:\Program Files\Nanosoft\Pltools\BMP, а c:\Program Files\Nanosoft\Pltools_NC\BMP

Link to comment
Share on other sites

1 час назад, A.Kudrjashov сказал:


Ну да.
Только, насколько я заметил на GIF, путь не c:\Program Files\Nanosoft\Pltools\BMP, а c:\Program Files\Nanosoft\Pltools_NC\BMP

Вы правы,в этом наверное и косяк. Позже попробую

Link to comment
Share on other sites

9 часов назад, A.Kudrjashov сказал:

 

В файле Readme_NC.txt написано, что надо проверить пути к иконкам в config файле.
Я прописывал в d:\Program Files\Nanosoft\PLTOOLS\BMP\

Выше скриншот под п.2

На GIF все мельтешит, отследить не успеваю. Но я проверял в разных местоположениях, просто менял пути и все иконки срабатывали.

 

Путь к иконкам добавьте также в Настройки -> Общие файлы

добавлено через 1 минуту

После этого надо перегрузить сеанс nanoCAD

 

Link to comment
Share on other sites

12 часов назад, bgrt21 сказал:

В автокаде сообщество придумало очень полезный лисп

"Создание группы видовых экранов в одной вкладке листа"

К сожалению в нанокад 20.1 не работает.

Может подсказать кто то, как сделать, что бы он работал?

Lisp прилагаю

AVP.LSP 2 \u043a\u0411 · 9 загрузок

Под 20.3 экраны создаются, а потом уходит в ошибку из-за неполадок с масштабом видового экрана - почему-то не находит его в списке. Причем экран создается на листе в точке 0,0, можно поменять в свойствах видового экрана ручками его масштаб и заблокировать, далее указать положение на листе. С масштабом возможно влияет дефект, который исправлен в 21.0, попробую обойти, если получится.

Под 21.0 не срабатывает только последняя строчка:

(command "._move" (vlax-vla-object->ename Viewport) "" "0,0" pause) ; Указание точки вставки видового экрана

 Сами экраны формируются на листе, а потом их можно разнести перетаскиванием, тем более, что точка вставки в любом случае запрашивается у пользователя.

Тем не менее попробую починить.

Link to comment
Share on other sites

7 часов назад, lidia.antipina.ru сказал:

Под 20.3 экраны создаются, а потом уходит в ошибку из-за неполадок с масштабом видового экрана - почему-то не находит его в списке.

Для обычных пользователей линейка 20.х заканчивается на 20.1. Других нет.

 

Link to comment
Share on other sites

20 часов назад, bgrt21 сказал:

В автокаде сообщество придумало очень полезный лисп

"Создание группы видовых экранов в одной вкладке листа"

К сожалению в нанокад 20.1 не работает.

Может подсказать кто то, как сделать, что бы он работал?


Принципиальное отличие nanoCAD от AutoCAD  в строке вызова команды:

AutoCAD:
(command "._move" (vlax-vla-object->ename Viewport) "" "0,0" pause) 
nanoCAD:
(command "move" (vlax-vla-object->ename Viewport) "" "0,0" pause)

 

Но, в NC20.1 кроме этого некорректно обрабатывается команда:
(vla-zoomcenter Application (vlax-3d-point (list (/ (+ Point1x Point2x) 2) (/ (+ Point1y Point2y) 2))) 1.0)

Если нет ни одного видового экрана, то она работает нормально, но, если есть хотя бы один, то создаётся новый видовой экран Viewport указывает на него правильно, но vla-zoomcenter отрабатывает по первому уже существующему видовому экрану.

Под NC21.0 уже не проверял.
...

В общем, вот этот код должен корректно работать как под NC20.1, так и под NC21.0.
AVP_NC.lsp

P.S. Итерационный цикл вынес за скобки в процессе экспериментов. Сомневался: нет ли глюков с сохранением переменных между итерациями. Можно занести обратно.

  • Like 2
  • Thanks 2
Link to comment
Share on other sites

Цитата

nanoCAD:
(command "move" (vlax-vla-object->ename Viewport) "" "0,0" pause)

nanoCAD и под AutoCAD можно и правильнее (точка отвечает за переопределения команд вертикальными приложениями, а подчеркивание - для ввода англ. имен команд в локализованых версиях, но nanоCAD кушает и так, хотя лучше добавлять)  :
(command "_.move" (vlax-vla-object->ename Viewport) "" "0,0" pause)

или 

(command "_move" (vlax-vla-object->ename Viewport) "" "0,0" pause)

В этом случае под 21.0 все работает

добавлено через 1 минуту

Как правило должно быть сначала подчеркивание, затем точка, а не наоборот

добавлено через 2 минуты
7 часов назад, A.Kudrjashov сказал:

(vla-zoomcenter Application (vlax-3d-point (list (/ (+ Point1x Point2x) 2) (/ (+ Point1y Point2y) 2))) 1.0)

Это посмотрю еще

  • Like 1
  • Thanks 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

  • Tell a friend

    Love Официальный форум компании Нанософт? Tell a friend!
×
×
  • Create New...